Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.data.event
Class NodeListenerAdapter

    java.lang.Object
      com.gwtext.client.data.event.NodeListenerAdapter

All Implemented Interfaces:
  NodeListener

Direct Known Subclasses:
  TreeNodeListenerAdapter

    public class NodeListenerAdapter

extends java.lang.Object
implements NodeListener

Node listener adapter class.

Constructor Summary
`NodeListenerAdapter()`

Method Summary
`boolean` | `doBeforeAppend(Tree tree, Node self, Node node)` Fires before a new child is appended, return false to cancel the append.
`boolean` | `doBeforeInsert(Tree tree, Node self, Node node, Node refNode)` Fires before a new child is inserted, return false to cancel the insert.
`boolean` | `doBeforeMove(Tree tree, Node self, Node oldParent, Node newParent, int index)` Fires before this node is moved to a new location in the tree.
`boolean` | `doBeforeRemove(Tree tree, Node self, Node node)` Fires before a child is removed, return false to cancel the remove.
`void` | `onAppend(Tree tree, Node self, Node node, int index)` Fires when a new child node is appended.
`void` | `onInsert(Tree tree, Node self, Node node, Node refNode)` Fires when a new child node is inserted.
`void` | `onMove(Tree tree, Node self, Node oldParent, Node newParent, int index)` Fires when this node is moved to a new location in the tree.
`void` | `onRemove(Tree tree, Node self, Node node)` Fires before a child is removed, return false to cancel the remove.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NodeListenerAdapter

    public NodeListenerAdapter()

Method Detail

### onAppend

    public void onAppend(Tree tree,
                         Node self,
                         Node node,
                         int index)

  Description copied from interface: `NodeListener`
  Fires when a new child node is appended.

  Specified by:
    `onAppend` in interface `NodeListener`
  Parameters:
    `tree` - the owner tree
    `self` - this node
    `node` - the newly appended node
    `index` - the index of the newly appended node

### doBeforeAppend

    public boolean doBeforeAppend(Tree tree,
                                  Node self,
                                  Node node)

  Description copied from interface: `NodeListener`
  Fires before a new child is appended, return false to cancel the append.

  Specified by:
    `doBeforeAppend` in interface `NodeListener`
  Parameters:
    `tree` - the owner tree
    `self` - this node
    `node` - the child node to be appended
  Returns:
    false to cancel the append

### doBeforeInsert

    public boolean doBeforeInsert(Tree tree,
                                  Node self,
                                  Node node,
                                  Node refNode)

  Description copied from interface: `NodeListener`
  Fires before a new child is inserted, return false to cancel the insert.

  Specified by:
    `doBeforeInsert` in interface `NodeListener`
  Parameters:
    `tree` - the owner tree
    `self` - this node
    `node` - the child node to be inserted
    `refNode` - the child node the node is being inserted before
  Returns:
    false to cancel the insert

### doBeforeMove

    public boolean doBeforeMove(Tree tree,
                                Node self,
                                Node oldParent,
                                Node newParent,
                                int index)

  Description copied from interface: `NodeListener`
  Fires before this node is moved to a new location in the tree. Return false to cancel the move.

  Specified by:
    `doBeforeMove` in interface `NodeListener`
  Parameters:
    `tree` - the owner tree
    `self` - this node
    `oldParent` - the parent of this node
    `newParent` - the new parent this node is moving to
    `index` - the index it is being moved to
  Returns:
    false to cancel the move

### doBeforeRemove

    public boolean doBeforeRemove(Tree tree,
                                  Node self,
                                  Node node)

  Description copied from interface: `NodeListener`
  Fires before a child is removed, return false to cancel the remove.

  Specified by:
    `doBeforeRemove` in interface `NodeListener`
  Parameters:
    `tree` - the owner tree
    `self` - this node
    `node` - the child node to be removed
  Returns:
    false to cancel the remove

### onInsert

    public void onInsert(Tree tree,
                         Node self,
                         Node node,
                         Node refNode)

  Description copied from interface: `NodeListener`
  Fires when a new child node is inserted.

  Specified by:
    `onInsert` in interface `NodeListener`
  Parameters:
    `tree` - the owner tree
    `self` - this node
    `node` - the child node inserted
    `refNode` - the child node the node was inserted before

### onMove

    public void onMove(Tree tree,
                       Node self,
                       Node oldParent,
                       Node newParent,
                       int index)

  Description copied from interface: `NodeListener`
  Fires when this node is moved to a new location in the tree.

  Specified by:
    `onMove` in interface `NodeListener`
  Parameters:
    `tree` - the owner tree
    `self` - this node
    `oldParent` - the old parent of this node
    `newParent` - the new parent of this node
    `index` - the index it was moved to

### onRemove

    public void onRemove(Tree tree,
                         Node self,
                         Node node)

  Description copied from interface: `NodeListener`
  Fires before a child is removed, return false to cancel the remove.

  Specified by:
    `onRemove` in interface `NodeListener`
  Parameters:
    `tree` - the owner tree
    `self` - this node
    `node` - the child node to be removed

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD